Package org.apache.catalina.startup

## Class SetContextPropertiesRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.catalina.startup.SetContextPropertiesRule

    public class SetContextPropertiesRule
    extends Rule

Rule that uses the introspection utils to set properties of a context (everything except "path").

Author:
  Remy Maucherat

### Field Summary

### Fields inherited from class org.apache.tomcat.util.digester.Rule

`digester, namespaceURI`

### Constructor Summary

Constructors
`SetContextPropertiesRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin​(java.lang.String namespace, java.lang.String nameX, org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

### Methods inherited from class org.apache.tomcat.util.digester.Rule

`body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetContextPropertiesRule

    public SetContextPropertiesRule()

### Method Detail

#### begin

    public void begin​(java.lang.String namespace,
                      java.lang.String nameX,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

Handle the beginning of an XML element.

Overrides:
  `begin` in class `Rule`
Parameters:
  `attributes` - The attributes of this element
  `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
  `nameX` - the local name if the parser is namespace aware, or just the element name otherwise
Throws:
  `java.lang.Exception` - if a processing error occurs